package com.gh.gamecenter.login.entity

import android.os.Parcelable
import kotlinx.parcelize.Parcelize

// 徽章
@Parcelize
data class Badge(
    var name: String = "",
    var icon: String = "",
    var actions: List<BadgeAction>? = null
) : Parcelable

// 徽章领取条件
@Parcelize
data class BadgeAction(
    var text: String = ""
) : Parcelable